// $Id: RETestPlugin.java,v 1.1.1.1 2000/12/18 16:37:55 sjakob Exp $
/*
 * RETestPlugin.java - Plugin for testing regular expressions
 * Copyright (C) 2000 Steve Jakob
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import javax.swing.JMenuItem;
import javax.swing.JMenu;
import java.util.*;
import org.gjt.sp.jedit.*;
import org.gjt.sp.jedit.gui.OptionsDialog;

public class RETestPlugin extends EditPlugin
{
	private RETestAction myAction;
	
	/**
	 * Initializes the RETestAction and registers it with jEdit.
	 */
	public void start()
	{
		myAction = new RETestAction();
		jEdit.addAction(myAction);
	}

	/**
	 * Not used.
	 */
	public void stop()
	{
	}
	
	/**
	 * Create the "RETest" menu item.
	 * @param view The current view
	 * @param menus Used to add submenus
	 * @param menuItems Used to add menu items
	 */
	public void createMenuItems(View view, Vector menus, Vector menuItems) {
		// The TemplatesAction object is responsible for maintaining
		// the Code Templates menu.
		menuItems.addElement(GUIUtilities.loadMenuItem(view, "RETestAction"));
	}
	
	/**
	 * Create the plugins option pane. Not used at present.
	 * @param optionsDialog The dialog in which the OptionPane is to be displayed.
	 */
	/* public void createOptionPanes(OptionsDialog optionsDialog) {
		optionsDialog.addOptionPane(new TemplatesOptionPane(myAction));
	} */
	
}
	/*
	 * Change Log:
	 * $Log: RETestPlugin.java,v $
	 * Revision 1.1.1.1  2000/12/18 16:37:55  sjakob
	 * Initial import.
	 * Bug fix release for Character Classes (eg. [[:alpha:]]) problem.
	 *
	 * Revision 1.1  2000/01/19 22:03:39  sjakob
	 * Release Candidate 1.
	 *
	 */

